"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _draftJs = require("draft-js");

/**
 * Taken from:
 *    https://stackoverflow.com/questions/46802855/draft-js-how-to-trim-contents
 *
 * This *might* mess up entities, but so far I haven't seen any issues
 */
var trimEditorState = function trimEditorState(currentEditorState) {
  var currentContent = currentEditorState.getCurrentContent();
  var newContent = currentContent.getBlockMap().reduce(function (accumulator, block) {
    var key = block.getKey();
    var text = block.getText();
    var trimmedLeft = text.trimLeft();
    var trimmedRight = text.trimRight();
    var offset = text.length - trimmedLeft.length;
    var textToReplaceLeft = new _draftJs.SelectionState({
      anchorKey: key,
      focusKey: key,
      anchorOffset: 0,
      focusOffset: offset
    });

    var leftTrimmedContent = _draftJs.Modifier.replaceText(accumulator, textToReplaceLeft, '');

    var textToReplaceRight = new _draftJs.SelectionState({
      anchorKey: key,
      focusKey: key,
      anchorOffset: trimmedRight.length - offset,
      focusOffset: text.length - offset
    });
    return _draftJs.Modifier.replaceText(leftTrimmedContent, textToReplaceRight, '');
  }, currentContent);
  return _draftJs.EditorState.push(currentEditorState, newContent, 'remove-range');
};

var _default = trimEditorState;
exports["default"] = _default;